DIY 3.0 data-parallel out-of-core C++ library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Typedefs Groups Pages
Public Types | Public Member Functions | Static Public Member Functions | List of all members
fmt::internal::MakeValue< Formatter > Class Template Reference
Inheritance diagram for fmt::internal::MakeValue< Formatter >:

## Public Types
typedef Formatter::Char | Char
Public Types inherited from fmt::internal::Value
enum | Type { NONE, NAMED_ARG, INT, UINT, LONG_LONG, ULONG_LONG, BOOL, CHAR, LAST_INTEGER_TYPE = CHAR, DOUBLE, LONG_DOUBLE, LAST_NUMERIC_TYPE = LONG_DOUBLE, CSTRING, STRING, WSTRING, POINTER, CUSTOM }
typedef void(* | FormatFunc )(void *formatter, const void *arg, void *format_str_ptr)

## Public Member Functions
| MakeValue (long value)
| MakeValue (unsigned long value)
| MakeValue (typename WCharHelper< wchar_t, Char >::Supported value)
template<typename T >
| MakeValue (const T &value, typename EnableIf< Not< ConvertToInt< T >::value >::value, int >::type=0)
template<typename T >
| MakeValue (const T &value, typename EnableIf< ConvertToInt< T >::value, int >::type=0)
template<typename Char_ >
| MakeValue (const NamedArg< Char_ > &value)

## Static Public Member Functions
static uint64_t | type (long)
static uint64_t | type (unsigned long)
static uint64_t | type (wchar_t)
template<typename T >
static uint64_t | type (const T &)
template<typename Char_ >
static uint64_t | type (const NamedArg< Char_ > &)

## Additional Inherited Members
Public Attributes inherited from fmt::internal::Arg
Type | type
Public Attributes inherited from fmt::internal::Value
union {
int int_value
unsigned uint_value
LongLong long_long_value
ULongLong ulong_long_value
double double_value
long double long_double_value
const void * pointer
StringValue< char > string
StringValue< signed char > sstring
StringValue< unsigned char > ustring
StringValue< wchar_t > wstring
CustomValue custom
}; |

The documentation for this class was generated from the following file:

- include/diy/fmt/format.h